Skip to main content

Add Friend V2

PUT 

/friends/v2/player/:player_uuid/friend/:other_player_uuid

Modify the friend's relationship status with the other Player. There is a max number of friends that can be added for a Player.

The limit can determined using this API. This API allows you optionally update the player's notes for the other player. If you do not want to update or set the notes when adding the other player, then do not include a body.

Note: This API supports etags and will return the etag header when with the response and will match the etag value provided when fetching Friend Relationship between these two players. It is highly recommended to provide the etag value with the if-match header to avoid lost updates.

Permissions Required: friend:friend_list:write

Request

Path Parameters

    player_uuid uuidrequired
    other_player_uuid uuidrequired

Header Parameters

    if-match If-Match

    If you provide the ETag that does not matches the current ETag for this resource, a 412 response will be return - indicating that the resource has changed.

Body

    notes Notes to set for the Player's friend. If you don't want to modify notes, no not include a body when adding a friend. (string)

    Possible values: non-empty and <= 4000 characters

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    friends_player_uuid uuidrequired
    status FriendshipStatus (string)required

    Possible values: [NONE, FRIENDS, FRIEND_REQUEST_SENT, FRIEND_REQUEST_PENDING, FRIEND_REQUEST_DECLINED_BY_OTHER]

    An enumeration.

    notes Player's notes about the other player (string)
    last_modified_on date-timerequired
Loading...